#ifndef IDE_TEST
/******************************************************************
 * @file  Ucp_Ape1_Init.s.c
 * @brief:    [file description] 
 * @author: guicheng.liu
 * @Date 2022年1月25日
 * COPYRIGHT NOTICE: (c) smartlogictech. All rights reserved. 
 * Change_date         Owner         Change_content
 * 2022年1月25日        guicheng.liu       create file

*****************************************************************/

/**************************include******************************/
#include <type_define.h>
#include "receiver_bit_func.h"
#include "ape_common.h"
#include "task_define.h"
#include "log_interface.h"
#include "trace.h"

/**************************function******************************/
/*!   
* @brief:  在Phy init的时候注册物理层管理任务
* @author:  guicheng.liu
* @Date:  2022年2月28日
*/
/* 收到消息后创建任务 */
void ape6_event_task(uint32_t addr, uint32_t size)
{

      return;
}



/* 收到消息后删除任务 */
void ape6_event_task_del(uint32_t addr, uint32_t size)
{
    uint32_t ape_id = get_core_id();
    //osp_del_task_all(NR_SCS_30K);


    return;
}


/*!   
* @brief:  在Phy init的时候注册物理层管理任务
* @author:  guicheng.liu
* @Date:  2022年2月28日
*/
void Phy_Task_Ape6_Reg()
{
    // osp_task_info_ex ape6_event_task_info = {50, "ape6_event_task1", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape6_event_task};
    // osp_task_info_ex ape6_event_task_info_del = {51, "ape6_event_task_del1", 51, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape6_event_task_del};

    osp_task_info_ex mgr_task =
    {PHY_TASK_RECIEVER_BIT, "Receiver_Bit", PHY_TASK_PRI_RECEIVER_BIT, 4096, OSP_EVENT_TYPE, 0x000, 0x000, 0, (OSP_TASKINIT_FUNC)Receiver_Bit_Init, (OSP_TASKENTRY_FUNC)Receiver_Bit_Task};
    // osp_task_create(&ape6_event_task_info);
    // osp_task_create(&ape6_event_task_info_del);
   osp_task_create(&mgr_task);
   LOG_INFO_S("APE6 finish task create!\n");


    return ;



}


///*!
//* @brief:  Phy初始化函数, 每个APE上都需要有一个名字相同的函数
//* @author:  guicheng.liu
//* @Date:  2022年1月25日
//*/
void phy_init()
{
   //初始化函数里面尽量不要输出log，因为可能初始化时msg_transfer_open还未完成
   log_level_e log_level = INFO;
   log_pool_init();
   set_log_level(log_level);

   //memset(&g_phy_cell_cfg, 0, sizeof(phy_cell_cfg_t));
   Phy_Task_Ape6_Reg();
}

///*!
//* @brief:  给osp调用，勿删
//* @author:  guicheng.liu
//* @Date:  2022年11月3日
//*/
//void soc_drv_init()
//{
//}
//
///*!
//* @brief:  给osp调用，勿删
//* @author:  guicheng.liu
//* @Date:  2022年11月3日
//*/
//void tod_int_init()
//{
//}

#endif